function [Site,Xsite,Ysite,Zsite,x,y,z,Rblk]=LoadJHmodelFile(file)
%
%   LoadJHmodelFile: Read  MT Resistivity model file
%
%   input
%   file: file name to be read
%
%   output
%
%   Site: character string of MT stations (length 5)
%   Xsite: Longitude of a MT site [degree]
%   Ysite: Latitude of a MT site [degree]
%   Zsite: Elevation  of a MT site [m]
%   x: Longitude of a MT resistivity cell [degree]
%   y: Latitude of a MT resistivity cell [degree]
%   z: Depth of a MT resistivity cell from the surface [m]
%   Rblk: resistivity of a MT resistivity cell from the surface [ohmm]	
%
fp=fopen(file,'r');
Nsite=fscanf(fp,'%d\n',1);
S=fgetl(fp);
No=[0 findstr(S,' ') length(S)+1];
for k=1:Nsite
    I=(k-1)*6+1:k*6;
    Site(k,:)=S(No(k)+1:No(k+1)-1);
end
Xsite=fscanf(fp,'%f\n',Nsite);
Ysite=fscanf(fp,'%f\n',Nsite);
Zsite=fscanf(fp,'%f\n',Nsite);
k=0;
while ~feof(fp)
    k=k+1;
    Ln=str2num(fgets(fp));
    x(k)=Ln(1);y(k)=Ln(2);z(k)=Ln(3);Rblk(k)=Ln(4);
end
fclose(fp);
